In den Warenkorb - Button funktioniert nicht!

[quote]Den Fehler konnten wir beheben, indem wir in der Tabelle s_core_plugins das Plugin “PaymentMethods” auf aktiv gestellt haben. [/quote] sorry, das ich noch mal nachfrage. Habe bei mir in der DB genau das gesucht und nicht gefunden. Den “PaymentMethods” gibt es in meiner s_core_plugins nicht.

Das hier noch mal anschupsen…keiner einen Tipp ??

Hi, wenn du das Plugin nicht einmal in der s_core_plugins stehen hast muss grundsätzlich was schiefgelaufen sein. Hast du den mal in der s_schema_version geschaut ob die Deltas überhaupt ausgeführt wurden? http://wiki.shopware.de/Shopware-Update … ma_version Wirde das Update noch einmal ausgeführt? Gab es evtl. Fehler? Das ist natürlich sehr schwer zu helfen, wenn schon Einträge in der Datenbank fehlen, welche generell sogar automatisch kommen müssten… Sebastian

1 Like

Hallo Sebastian, ich muss gestehen ich kann mit den Einträgen in meiner s_schema_version nicht viel anfangen. Ich sehe nur das es am 17-12-2013 einige Updates gabe, ich denke ohne Fehler ansonsten würde in der error_msg etwas anderes stehen als NULL …oder? Werde jetzt gleich das Update erneut ausführen.

So nun bin ich mal ein Schritt weiter gekommen, nach erneutem Update. Mal sehen op ich nun das Problem los bin

[quote]Den Fehler konnten wir beheben, indem wir in der Tabelle s_core_plugins das Plugin „PaymentMethods“ auf aktiv gestellt haben.[/quote] Ist nun aktive, Fehler ist immer noch da :frowning: Habe ich etwas vergessen ?

[quote=„hifibau“][quote]Den Fehler konnten wir beheben, indem wir in der Tabelle s_core_plugins das Plugin „PaymentMethods“ auf aktiv gestellt haben.[/quote] Ist nun aktive, Fehler ist immer noch da :frowning: Habe ich etwas vergessen ?[/quote] Ich stehe vor dem selben Problem. Ich habe nach erscheinen des 4.1.3 Updates dieses eingespielt und der Shop funktionierte danach ganz normal seinen Dienst. Nun werden die Artikel allerdings nicht mehr an den Warenkorb übergeben. Chrome haut folgende Fehlermeldung raus: GET http://www.wristler-original.de/wristler\_onlineshop/checkout/addArticle?cal…sActionIdentifier=&sAddAccessories=&sAdd=10002&sQuantity=1&\_=1388255797572 503 (Service Unavailable) jquery-1.7.2.min.js:4 send jquery-1.7.2.min.js:4 f.extend.ajax jquery-1.7.2.min.js:4 (anonymous function) jquery.shopware.js:3602 f.event.dispatch jquery-1.7.2.min.js:3 h.handle.i Wie geschrieben wurde am Shop selbst nichts geändert. Laut einem Eintrag von Shopware in diesem Beitrag gibt es das Feld „PaymentMethods“ in der Tabelle „s_core_plugins“ aber erst ab der Version 4.1.4, richtig? Grüße Enrico

Hallo Enrico, wenn ich es richtig sehe funktioniert dein Warenkorb auf http://www.wristler-original.de/wristler_onlineshop nun wieder. Könntest du sagen was genau du zur Lösung deines Problems getan hast? Danke und LG Nachtrag: Problem gelöst! Habe diese Anweisung befolgt “Den Fehler konnten wir beheben, indem wir in der [Datenbank]-Tabelle s_core_plugins das Plugin “PaymentMethods” auf aktiv gestellt haben.” (Tipp: auf “aktiv” stellen tut man, indem die 0 in der Spalte “active” durch eine 1 ersetzt wird).

Guten Tag, ich habe das gleich Problem mit dem Warenkrob, nur dass der Fehler kurioser Weise unregelmäßig auftritt. An einem Computer tritt der Fehler an einem Tag auf und am nächsten nicht. Durch eine Google-Prüfung bin ich auf den Fehler so richtig aufmerksam geworden, da dieser Fehler nun eine vorübergehende Sperrung bei Google verursacht hat. Anders als bei den anderen Usern habe ich kein Update ausgeführt, sondern eine Vorinstallation von Profihost in Anspruch genommen. Benutzt wird die Version 4.1.2 Auch bei mir ist unter s_core_plugins der Eintrag “PaymentMethods” nicht vorhanden. Vielen Dank schon mal vorab für die Hilfe. Besten Grüße Max

Hallo Max, das muss bei dir aber ein ganz anderes Problem sein. Das Plugin kam erst mit Shopwaee 4.1.4 Das steht also in keinem Zusammenhang mit deiner 4.1.2 :wink: Zudem darf google den Warenkorb eigentlich gar nicht untersuchen! Am besten mit exakter Fehlermeldung einen eigenen Thread öffnen. Wenn du den Warenkorb aufrufst dollste es eine Meldung geben. Ansonsten mal mit Firebug auf Fehlermeldung prüfen Danke Sebastian PS: Vermutlich steht einfach keine Zahlungsart zur Verfügung. Dafür haben wir mit 4.1.4 aber auch ein Fallback eingebaut.

1 Like